package com.bocloud.cmp.model.installation;

/**
 * 装机用户配置
 *
 * @author 007
 */
public class User {
    /**
     * 用户名
     */
    private String name;
    /**
     * 用户密码
     */
    private String password;
    /**
     * 用户uid
     * <p>
     * ubuntu系统不允许设置uid
     */
    private Integer uid;
    /**
     * 用户的ssh key
     * <p>
     * ubuntu系统不允许设置sshKey
     */
    private String sshKey;

    public User() {
        super();
    }

    public User(String name, String password, Integer uid, String sshKey) {
        super();
        this.name = name;
        this.password = password;
        this.uid = uid;
        this.sshKey = sshKey;
    }

    /**
     * @return the name
     */
    public String getName() {
        return name;
    }

    /**
     * @param name the name to set
     */
    public void setName(String name) {
        this.name = name;
    }

    /**
     * @return the password
     */
    public String getPassword() {
        return password;
    }

    /**
     * @param password the password to set
     */
    public void setPassword(String password) {
        this.password = password;
    }

    /**
     * @return the uid
     */
    public Integer getUid() {
        return uid;
    }

    /**
     * @param uid the uid to set
     */
    public void setUid(Integer uid) {
        this.uid = uid;
    }

    /**
     * @return the sshKey
     */
    public String getSshKey() {
        return sshKey;
    }

    /**
     * @param sshKey the sshKey to set
     */
    public void setSshKey(String sshKey) {
        this.sshKey = sshKey;
    }
}
